> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a report and return the tabular result (preview)

> Run a report and return the tabular result (preview)



## OpenAPI

````yaml /api-reference/openapi.json get /api/reports/{id}/run
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/reports/{id}/run:
    get:
      tags:
        - Reports
      summary: Run a report and return the tabular result (preview)
      description: Run a report and return the tabular result (preview)
      operationId: getApiReportsByIdRun
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
        - in: query
          name: month
          schema:
            type: string
        - in: query
          name: fy
          schema:
            type: integer
            minimum: -9007199254740991
            maximum: 9007199254740991
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  reportId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  name:
                    type: string
                  columns:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                        label:
                          type: string
                      required:
                        - key
                        - label
                  rows:
                    type: array
                    items:
                      type: array
                      items:
                        anyOf:
                          - type: string
                          - type: number
                  rowCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  generatedAt:
                    type: string
                required:
                  - reportId
                  - name
                  - columns
                  - rows
                  - rowCount
                  - generatedAt
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````